%define name webcam_server
%define version 0.50
%define release %mkrel 1
%define url http://donn.dyndns.org/portalofnnod

Summary: A server to stream webcam video or snapshots
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{name}-%{version}.tar.gz
Patch: webcam_server-0.50-camera.c.patch
Source1: %name.bz2
License: GPL
Group: System/Kernel and hardware
BuildRequires: jpeg-devel
Prefix: /usr
URL: http://donn.dyndns.org/portalofnnod/
BuildRoot:	%{_tmppath}/%{name}-root

%description
webcam_server  is  a  server  daemon that can stream frames
from any video4linux device to remote clients running the 
provided applet or single frame snapshots running a web browser.
Client applets provided in /usr/share/doc/webcam_server-%{version}/client

%prep
%setup -q
%patch -p1

%build
%configure 

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d/webcam_server
chmod 755 $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d/webcam_server
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/client/*
%{_bindir}/*
%{_mandir}/man1/*
%attr(-,root,root) %config %_sysconfdir/rc.d/init.d/webcam_server



%changelog
* Fri Jan 06 2008 Texstar <texstar@gmail.com> 0.50-1pclos2007
- import into pclos 2007

